# Class LdapModule

Namespace
  adas_core.LdapLogin.Configuration

Assembly
  adas-core.LdapLogin.dll

Module for configuring LDAP services and dependencies.

    public class LdapModule : IModule

Inheritance
  object
  LdapModule

Implements
  IModule

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### Configure(IServiceCollection, IConfiguration)

Configures LDAP services and dependencies.

    public static void Configure(IServiceCollection services, IConfiguration configuration)

#### Parameters

`services` IServiceCollection

  The service collection to which LDAP services will be added.

`configuration` IConfiguration

  The configuration from which LDAP settings will be read.